local ITEM = {};

ITEM.Unique = "bag";
ITEM.Name = "Bag";
ITEM.Description = "Increases your inventory space by 10.";
ITEM.Category = "Misc";
ITEM.Model = "models/props_junk/garbage_bag001a.mdl";
ITEM.Cost = 10;
ITEM.Weight = 0;
ITEM.Use = false;
ITEM.Drop = true;
ITEM.RemovedOnCrafting = true;
ITEM.RemoveOnUse = false;

if ( SERVER ) then
	function ITEM:OnPickup( ply )
		local Inventory = ply:GetActiveInventory();
		
		Inventory.MaxWeight = Inventory.MaxWeight + 10;
		
		umsg.Start( "RIW", ply );
			umsg.Long( Inventory.MaxWeight );
		umsg.End();
	end;
	
	function ITEM:OnDrop( ply )
		local Inventory = ply:GetActiveInventory();
		
		Inventory.MaxWeight = Inventory.MaxWeight - 10;
		
		umsg.Start( "RIW", ply );
			umsg.Long( Inventory.MaxWeight );
		umsg.End();
	end;
end;

epsilonScript.Items.RegisterItem( ITEM );